Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.lease
Interface LeaseMap

All Superinterfaces:
  Map

All Known Implementing Classes:
  AbstractLeaseMap

public interface LeaseMap
extends Map

An unsynchronized Map from Lease to Long (the duration to use when renewing the lease). For all methods of LeaseMap except canContainKey, an IllegalArgumentException is thrown if a key is not a Lease or a value is not a Long. Null keys and values are not supported.

Since:
  1.0

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Method Summary
`void` | `cancelAll()` Cancels all leases in the LeaseMap.
`boolean` | `canContainKey(Object key)` Returns true if the given object is a Lease which can be renewed and cancelled in a batch with other leases in the map.
`void` | `renewAll()` Renews all leases in the LeaseMap, using their current values as the renewal durations.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### canContainKey

    public boolean canContainKey(Object key)

  Returns true if the given object is a Lease which can be renewed and cancelled in a batch with other leases in the map. Whether or not two Lease objects can be batched is an implementation detail determined by the objects.

  Parameters:
    `key` - an object that should be a lease
  Returns:
    true if the lease can be renewed and cancelled in a a batch with other leases
  See Also:
    `Lease.canBatch(net.jini.core.lease.Lease)`

### renewAll

    public void renewAll()
                  throws LeaseMapException,
                         RemoteException

  Renews all leases in the LeaseMap, using their current values as the renewal durations. If all renewals are successful, returns normally. Otherwise, removes all leases that failed to renew from the LeaseMap, and throws LeaseMapException.

  Throws:
    `LeaseMapException`
    `RemoteException`

### cancelAll

    public void cancelAll()
                   throws LeaseMapException,
                          RemoteException

  Cancels all leases in the LeaseMap. If all cancels are successful, returns normally (leaving all leases in the map). Otherwise, removes all leases that failed to cancel from the LeaseMap, and throws LeaseMapException.

  Throws:
    `LeaseMapException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved